using UnityEngine;
using System.Collections;

public class Timer {

	public float startTime;
	public float endTime;
	public float length;

	public Timer(float time) {
		length = time;
		startTime = Time.time;
		endTime = startTime + time;
	}

	public bool Check() {
		if (Time.time >= endTime) {
			return true;
		}
		else {
			return false;
		}
	}

	public void Reset() {
		endTime = Time.time + length;
	}
}
